//=============================================================================
// DawnsNoWeapTrigger: senses things happening in its proximity and removes
// a Player's Inventory when Touched, possibly retaining a TransLocator.
//
// Author:  Dawn Knight
// Tested only on version 4.36
// Version A4.2  05/27/2004 03:00:02 PM
//=============================================================================
class DawnsNoWeapTrigger extends Trigger;

var() bool bKeepTransLocator;

//
// Called when something touches the trigger.
//
function Touch( actor Other )
{
	super.Touch( Other );

	if (Level.Game.IsA('DeathMatchPlus') && Pawn(Other) != none)
	{
		DeleteAllInventory( Pawn(Other) );
	}
}

// Remove this pawn's Inventory, possibly retaining a TransLocator
// and JumpBoots
function DeleteAllInventory(Pawn Player)
{
	local Inventory Link;
	local Weapon TheTL;

	Player.Weapon = None;
	Player.SelectedItem = None;

	for( Link = Player.Inventory; Link!=None; Link=Link.Inventory )
	{
		if ( Link.IsA('TransLocator') && bKeepTransLocator )
		{
			TheTL = Weapon(Link);
		}
		else
		{
			Link.Destroy();
//			Link.SetOwner(None);
		}
	}

	if (TheTL != none)
	{
		Player.Inventory = TheTL;
		Player.Inventory.Inventory = none;
	}
	else
		Player.Inventory = none;
}

defaultproperties
{
     DrawScale=2
     bKeepTransLocator=False
}

