class InfernoMessage expands CriticalEventPlus;

#exec OBJ LOAD FILE="..\Sounds\Extro.uax" PACKAGE="Extro"
#exec OBJ LOAD FILE="..\Sounds\AmbModern.uax" PACKAGE="AmbModern"

var localized string Objective1String;
var localized string Objective2String;
var localized string Gate1String;
var localized string Gate2String;
var localized string Gate3String;
var localized string ThroneString;
var localized string SatanDestroyedString;
var localized string FindHeavenString;
var localized string ExitGateString;

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	if (RelatedPRI_1 == None)
		return "";
	if (RelatedPRI_1.PlayerName == "")
		return "";

	switch (Switch)
	{
		case -1:
			return "";
			break;
		case 0:
			return Default.Objective1String;
			break;
		case 1:
			return Default.Objective2String;
			break;
		case 2:
			return RelatedPRI_1.PlayerName@Default.Gate1String;
			break;
		case 3:
			return RelatedPRI_1.PlayerName@Default.Gate2String;
			break;
		case 4:
			return RelatedPRI_1.PlayerName@Default.Gate3String;
			break;
		case 5:
			return RelatedPRI_1.PlayerName@Default.ThroneString;
			break;
		case 6:
			return RelatedPRI_1.PlayerName@Default.SatanDestroyedString;
			break;
		case 7:
			return RelatedPRI_1.PlayerName$Default.FindHeavenString;
			break;
		case 8:
			return RelatedPRI_1.PlayerName@Default.ExitGateString;
			break;
	}
}

static simulated function ClientReceive(
	PlayerPawn P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	Super.ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);

	if (RelatedPRI_1 != P.PlayerReplicationInfo)
		return;

	switch (Switch)
	{
		case 0:
			break;
		case 6:
			P.ClientPlaySound(sound'Extro.sim3c', true, false);
			break;
		default:
			P.ClientPlaySound(sound'AmbModern.OneShot.light5a',, false);
			break;
	}
}

defaultproperties
{
     Lifetime=5
     Objective1String="OPEN the GATES and Destroy SATAN!"
     Objective2String="DESTROY The Winged SATAN!"
     Gate1String="opened the UPPER Gates!"
     Gate2String="opened the MIDDLE Gates!"
     Gate3String="opened the INNER SANCTUM Gate!"
     ThroneString="has reached SATAN'S Throne Room!"
     SatanDestroyedString="destroyed SATAN!"
     FindHeavenString=", find the way to HEAVEN, NOW!"
     ExitGateString="opened the EXIT Gate to HEAVEN!"
     bBeep=False
     DrawColor=(R=96,G=255,B=255)
}
