//=============================================================================
// MovableLight. By Dawn Knight ver 1.0 01/01/2003
// Works in all Modes of Gameplay including Single Player and Net Player
// whereas the standard Light class is broken in Net Play.
//
// Attach this light to a Mover by setting this MovableLight's AttachTag to the
// same name you use for the Mover's Event/Tag.
//
// You may alter any of this MovableLight's LightColor and Lighting parameters,
// but you should NOT change any of the other default Properties of this Class!
//
// Due to a limitation in the UT engine, this MovableLight will not show up in
// the UED 3D Viewpane unless WireFrame View is selected.  It shows up in all
// the 2D Viewpanes as a "lightbulb" mesh.
//=============================================================================
class MovableLight extends Light;

#exec obj load file=..\Textures\GenFX.utx package=GenFX

#exec mesh import mesh=MovableLight anivfile=Models\MovableLight_a.3d datafile=Models\MovableLight_d.3d x=0 y=0 z=0 mlod=0
#exec mesh origin mesh=MovableLight x=0 y=0 z=0
#exec mesh sequence mesh=MovableLight seq=All startframe=0 numframes=1

#exec meshmap new meshmap=MovableLight mesh=MovableLight
#exec meshmap scale meshmap=MovableLight x=0.10938 y=0.10938 z=0.21875

defaultproperties
{
     bGameRelevant=True
     bMovable=True
     bStatic=False
     bNoDelete=False
     bHidden=False
     RemoteRole=ROLE_SimulatedProxy
     DrawType=DT_Mesh
     Mesh=Mesh'MovableLight'
     MultiSkins(0)=Texture'GenFX.Mask.Mask'
     Style=STY_Translucent
     LightEffect=LE_NonIncidence
     LightBrightness=255
     LightHue=83
     LightSaturation=4
     LightRadius=12
     bNetTemporary=True
     NetPriority=2.500000

}
