//=============================================================================
// InfernoMappack.InfernoBotInfo.  By Dawn Knight ver 1.01 09/26/2004
// Preferably Embedded in a Map.
//
// This references 2 Embedded InfernoBots in a Map, so the 2 Bots MUST be
// Embedded in the Map!
//=============================================================================
class InfernoBotInfo extends ChallengeBotInfo
	config(User);

var InfernoGoblinBot IGB; // Never used - here to force UED to embed Bot in map
var InfernoDevilBot IDB; // Never used - here to force UED to embed Bot in map

function PostBeginPlay()
{
  local int i;

	Super.PostBeginPlay();

	AvailableClasses[0] = "InfernoGoblinBot";
	AvailableDescriptions[0] = "Inferno Goblin";
	AvailableClasses[1] = "InfernoDevilBot";
	AvailableDescriptions[1] = "Inferno Devil";
	NumClasses = 2;

  for (i=0;i<32;i+=2) // 2 types of Bots to setup, so step by 2
  {
    SetBotClass( Level.Game$".InfernoGoblinBot", i); // 1st type of Bot
      // Truncate name to 17 chars max and add _Goblin to name.
    SetBotName( Left(GetBotName(i),17)$"_GOBLIN", i);

    SetBotClass( Level.Game$".InfernoDevilBot", i+1); // 2nd type of Bot
      // Truncate name to 18 chars max and add _DEVIL to name.
    SetBotName( Left(GetBotName(i+1),18)$"_DEVIL", i+1);
  }
}

defaultproperties
{
     DrawScale=5.0
     BotFaces(0)="TSkMSkins.Guardian"
     BotFaces(1)="TSkMSkins.Guardian"
     BotFaces(2)="TSkMSkins.Guardian"
     BotFaces(3)="TSkMSkins.Guardian"
     BotFaces(4)="TSkMSkins.Guardian"
     BotFaces(5)="TSkMSkins.Guardian"
     BotFaces(6)="TSkMSkins.Guardian"
     BotFaces(7)="TSkMSkins.Guardian"
     BotFaces(8)="TSkMSkins.Guardian"
     BotFaces(9)="TSkMSkins.Guardian"
     BotFaces(10)="TSkMSkins.Guardian"
     BotFaces(11)="TSkMSkins.Guardian"
     BotFaces(12)="TSkMSkins.Guardian"
     BotFaces(13)="TSkMSkins.Guardian"
     BotFaces(14)="TSkMSkins.Guardian"
     BotFaces(15)="TSkMSkins.Guardian"
     BotFaces(16)="TSkMSkins.Guardian"
     BotFaces(17)="TSkMSkins.Guardian"
     BotFaces(18)="TSkMSkins.Guardian"
     BotFaces(19)="TSkMSkins.Guardian"
     BotFaces(20)="TSkMSkins.Guardian"
     BotFaces(21)="TSkMSkins.Guardian"
     BotFaces(22)="TSkMSkins.Guardian"
     BotFaces(23)="TSkMSkins.Guardian"
     BotFaces(24)="TSkMSkins.Guardian"
     BotFaces(25)="TSkMSkins.Guardian"
     BotFaces(26)="TSkMSkins.Guardian"
     BotFaces(27)="TSkMSkins.Guardian"
     BotFaces(28)="TSkMSkins.Guardian"
     BotFaces(29)="TSkMSkins.Guardian"
     BotFaces(30)="TSkMSkins.Guardian"
     BotFaces(31)="TSkMSkins.Guardian"
     bRandomOrder=True
     Difficulty=1
     BotTeams(0)=0
     BotTeams(2)=0
     BotTeams(3)=0
     BotTeams(4)=0
     BotTeams(5)=0
     BotTeams(6)=0
     BotTeams(7)=0
     BotTeams(8)=0
     BotTeams(10)=0
     BotTeams(11)=0
     BotTeams(12)=0
     BotTeams(13)=0
     BotTeams(14)=0
     BotTeams(15)=0
     BotTeams(16)=0
     BotTeams(18)=0
     BotTeams(19)=0
     BotTeams(20)=0
     BotTeams(21)=0
     BotTeams(22)=0
     BotTeams(23)=0
     BotTeams(24)=0
     BotTeams(26)=0
     BotTeams(27)=0
     BotTeams(28)=0
     BotTeams(29)=0
     BotTeams(30)=0
     BotTeams(31)=0
     BotAccuracy(17)=0.200000
     BotAccuracy(18)=0.900000
     BotAccuracy(19)=0.600000
     BotAccuracy(20)=0.500000
     BotAccuracy(24)=1.000000
     BotAccuracy(27)=0.500000
     BotAccuracy(28)=0.500000
     BotAccuracy(29)=0.600000
     CombatStyle(16)=0.500000
     CombatStyle(18)=-0.500000
     CombatStyle(19)=-0.500000
     CombatStyle(20)=-1.000000
     CombatStyle(21)=-0.500000
     CombatStyle(22)=0.500000
     CombatStyle(23)=1.000000
     CombatStyle(26)=0.500000
     CombatStyle(30)=0.500000
     Alertness(18)=-0.300000
     Alertness(20)=0.300000
     Alertness(22)=0.300000
     Alertness(24)=0.300000
     Alertness(29)=0.400000
     Camping(18)=1.000000
     Camping(28)=0.500000
     StrafingAbility(17)=0.500000
     StrafingAbility(20)=0.500000
     StrafingAbility(21)=1.000000
     StrafingAbility(22)=0.500000
     StrafingAbility(23)=0.500000
     StrafingAbility(24)=0.500000
     StrafingAbility(25)=0.500000
     StrafingAbility(26)=0.500000
     StrafingAbility(29)=1.000000
     FavoriteWeapon(16)="Botpack.UT_FlakCannon"
     FavoriteWeapon(17)="Botpack.UT_Eightball"
     FavoriteWeapon(18)="Botpack.SniperRifle"
     FavoriteWeapon(19)="Botpack.SniperRifle"
     FavoriteWeapon(22)="Botpack.PulseGun"
     FavoriteWeapon(25)="Botpack.Minigun2"
     FavoriteWeapon(27)="Botpack.ShockRifle"
     FavoriteWeapon(28)="Botpack.ShockRifle"
     BotClasses(0)="InfernoGoblinBot"
     BotClasses(1)="InfernoDevilBot"
     BotClasses(2)="InfernoGoblinBot"
     BotClasses(3)="InfernoDevilBot"
     BotClasses(4)="InfernoGoblinBot"
     BotClasses(5)="InfernoDevilBot"
     BotClasses(6)="InfernoGoblinBot"
     BotClasses(7)="InfernoDevilBot"
     BotClasses(8)="InfernoGoblinBot"
     BotClasses(9)="InfernoDevilBot"
     BotClasses(10)="InfernoGoblinBot"
     BotClasses(11)="InfernoDevilBot"
     BotClasses(12)="InfernoGoblinBot"
     BotClasses(13)="InfernoDevilBot"
     BotClasses(14)="InfernoGoblinBot"
     BotClasses(15)="InfernoDevilBot"
     BotClasses(16)="InfernoGoblinBot"
     BotClasses(17)="InfernoDevilBot"
     BotClasses(18)="InfernoGoblinBot"
     BotClasses(19)="InfernoDevilBot"
     BotClasses(20)="InfernoGoblinBot"
     BotClasses(21)="InfernoDevilBot"
     BotClasses(22)="InfernoGoblinBot"
     BotClasses(23)="InfernoDevilBot"
     BotClasses(24)="InfernoGoblinBot"
     BotClasses(25)="InfernoDevilBot"
     BotClasses(26)="InfernoGoblinBot"
     BotClasses(27)="InfernoDevilBot"
     BotClasses(28)="InfernoGoblinBot"
     BotClasses(29)="InfernoDevilBot"
     BotClasses(30)="InfernoGoblinBot"
     BotClasses(31)="InfnoDevilBot"
     BotSkins(0)="TSkMSkins.Warr"
     BotSkins(1)="TSkMSkins.Warr"
     BotSkins(2)="TSkMSkins.Warr"
     BotSkins(3)="TSkMSkins.Warr"
     BotSkins(4)="TSkMSkins.Warr"
     BotSkins(5)="TSkMSkins.Warr"
     BotSkins(6)="TSkMSkins.Warr"
     BotSkins(7)="TSkMSkins.Warr"
     BotSkins(8)="TSkMSkins.Warr"
     BotSkins(9)="TSkMSkins.Warr"
     BotSkins(10)="TSkMSkins.Warr"
     BotSkins(11)="TSkMSkins.Warr"
     BotSkins(12)="TSkMSkins.Warr"
     BotSkins(13)="TSkMSkins.Warr"
     BotSkins(14)="TSkMSkins.Warr"
     BotSkins(15)="TSkMSkins.Warr"
     BotSkins(16)="TSkMSkins.Warr"
     BotSkins(17)="TSkMSkins.Warr"
     BotSkins(18)="TSkMSkins.Warr"
     BotSkins(19)="TSkMSkins.Warr"
     BotSkins(20)="TSkMSkins.Warr"
     BotSkins(21)="TSkMSkins.Warr"
     BotSkins(22)="TSkMSkins.Warr"
     BotSkins(23)="TSkMSkins.Warr"
     BotSkins(24)="TSkMSkins.Warr"
     BotSkins(25)="TSkMSkins.Warr"
     BotSkins(26)="TSkMSkins.Warr"
     BotSkins(27)="TSkMSkins.Warr"
     BotSkins(28)="TSkMSkins.Warr"
     BotSkins(29)="TSkMSkins.Warr"
     BotSkins(30)="TSkMSkins.Warr"
     BotSkins(31)="TSkMSkins.Warr"
     BotJumpy(30)=1
     BotJumpy(31)=1
     Skills(0)="Novice"
     Skills(1)="Average"
     Skills(2)="Experienced"
     Skills(3)="Skilled"
     Skills(4)="Adept"
     Skills(5)="Masterful"
     Skills(6)="Inhuman"
     Skills(7)="Godlike"
}
