//=============================================================================
// InfernoTriggeredMsg
// Gets Spawned ingame by an InfernoMsgTrigger.Touch().
// Destroys itself after flashing an InfernoMessage 3 times.
// Author:  Dawn Knight
// Tested only on versions 4.36 & 4.51
// Version A4.2  05/27/2004 11:53:21 AM
//=============================================================================
class InfernoTriggeredMsg extends Info;

var bool bSet;
var int i;
var int MessageSwitch; // Which of several messages to play.
var PlayerPawn PP;

function PostBeginPlay()
{
	// MessageSwitch passed from InfernoMsgTrigger thru Rotation.Yaw - sneaky.
	MessageSwitch = Rotation.Yaw;
	if ( PlayerPawn(Owner) != none )
	{
		PP = PlayerPawn(Owner);
		SetTimer(0.5, true); // Get 1st message flash out quickly.
	}

	Super.PostBeginPlay();
}

function Timer()
{
	if ( !bSet )
	{
		SetTimer(6.0, true); // Space subsequent message flashes 6 secs apart.
		bSet = true;
	}

	if (PP != none)
	{
		if ( MessageSwitch < 2 ) // This message is for Owner only.
			PP.ReceiveLocalizedMessage(class'InfernoMessage', MessageSwitch, PP.PlayerReplicationInfo );
		else // This message is for every Player.
			BroadcastLocalizedMessage( class'InfernoMessage', MessageSwitch, PP.PlayerReplicationInfo );
	}
	i++;
	if ( i > 2 )
	{
		self.Destroy(); // This InfernoTriggeredMsg is finished.
	}
}

defaultproperties
{
}
